Package org.eclipse.handly.ui.typehierarchy

## Enum TypeHierarchyKind

- java.lang.Object
- - java.lang.Enum<TypeHierarchyKind>
  - - org.eclipse.handly.ui.typehierarchy.TypeHierarchyKind

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<TypeHierarchyKind>`

      public enum TypeHierarchyKind
      extends java.lang.Enum<TypeHierarchyKind>

  Enumeration of the type hierarchy kinds.
  Since:
    1.6

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `SUBTYPES` | The subtype hierarchy.
    `SUPERTYPES` | The supertype hierarchy.
    `TYPES` | A type hierarchy that includes both supertypes and subtypes of a type.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static TypeHierarchyKind` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static TypeHierarchyKind[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TYPES

          public static final TypeHierarchyKind TYPES

      A type hierarchy that includes both supertypes and subtypes of a type. Also known as the inheritance tree.

    - #### SUPERTYPES

          public static final TypeHierarchyKind SUPERTYPES

      The supertype hierarchy.

    - #### SUBTYPES

          public static final TypeHierarchyKind SUBTYPES

      The subtype hierarchy.

  - ### Method Detail

    - #### values

          public static TypeHierarchyKind[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TypeHierarchyKind c : TypeHierarchyKind.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TypeHierarchyKind valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null